zenilib: static_codebook Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
static_codebook Struct Reference

`#include <codebook.h>`

## Public Attributes

int | allocedp
long | dim
long | entries
long * | lengthlist
int | maptype
long | q_delta
long | q_min
int | q_quant
int | q_sequencep
long * | quantlist

## Detailed Description

Definition at line 36 of file codebook.h.

## Member Data Documentation

int static_codebook::allocedp

Definition at line 55 of file codebook.h.

Referenced by vorbis_staticbook_destroy(), and vorbis_staticbook_unpack().

long static_codebook::dim

Definition at line 37 of file codebook.h.

Referenced by _book_maptype1_quantvals(), _book_unquantize(), _now(), cell_spacing(), codebook_load(), floor0_unpack(), get_vector(), main(), process_postprocess(), res0_unpack(), vorbis_book_init_decode(), vorbis_book_init_encode(), vorbis_staticbook_pack(), vorbis_staticbook_unpack(), and write_codebook().

long static_codebook::entries

Definition at line 38 of file codebook.h.

Referenced by _book_maptype1_quantvals(), _book_unquantize(), cell_spacing(), codebook_load(), floor1_encode(), main(), process_postprocess(), res0_unpack(), vorbis_book_encode(), vorbis_book_init_decode(), vorbis_book_init_encode(), vorbis_staticbook_pack(), vorbis_staticbook_unpack(), and write_codebook().

long * static_codebook::lengthlist

Definition at line 39 of file codebook.h.

Referenced by _best(), _book_unquantize(), cell_spacing(), codebook_load(), local_book_besterror(), main(), vorbis_book_codelen(), vorbis_book_encode(), vorbis_book_init_decode(), vorbis_book_init_encode(), vorbis_staticbook_destroy(), vorbis_staticbook_pack(), vorbis_staticbook_unpack(), and write_codebook().

int static_codebook::maptype

Definition at line 42 of file codebook.h.

Referenced by _book_unquantize(), codebook_load(), floor0_unpack(), main(), res0_unpack(), vorbis_staticbook_pack(), vorbis_staticbook_unpack(), and write_codebook().

long static_codebook::q_delta

Definition at line 48 of file codebook.h.

Referenced by _book_unquantize(), codebook_load(), main(), vorbis_book_init_encode(), vorbis_staticbook_pack(), vorbis_staticbook_unpack(), and write_codebook().

long static_codebook::q_min

Definition at line 47 of file codebook.h.

Referenced by _book_unquantize(), codebook_load(), main(), vorbis_book_init_encode(), vorbis_staticbook_pack(), vorbis_staticbook_unpack(), and write_codebook().

int static_codebook::q_quant

Definition at line 49 of file codebook.h.

Referenced by codebook_load(), main(), vorbis_staticbook_pack(), vorbis_staticbook_unpack(), and write_codebook().

int static_codebook::q_sequencep

Definition at line 50 of file codebook.h.

Referenced by _book_unquantize(), codebook_load(), get_vector(), main(), process_one(), vorbis_staticbook_pack(), vorbis_staticbook_unpack(), and write_codebook().

long * static_codebook::quantlist

Definition at line 52 of file codebook.h.

Referenced by _book_unquantize(), codebook_load(), main(), vorbis_staticbook_destroy(), vorbis_staticbook_pack(), vorbis_staticbook_unpack(), and write_codebook().

The documentation for this struct was generated from the following files:

- zenilib/jni/external/libvorbis/lib/codebook.h
- zenilib/jni/external/libvorbis/vq/localcodebook.h